diff deploy/linux/deploy-deb.sh @ 300:7dd6795af5e6

Start updating build stuff for 1.5
author Chris Cannam
date Thu, 25 May 2017 14:17:53 +0100
parents 120723f7698b
children
line wrap: on
line diff
--- a/deploy/linux/deploy-deb.sh	Thu May 25 11:31:17 2017 +0100
+++ b/deploy/linux/deploy-deb.sh	Thu May 25 14:17:53 2017 +0100
@@ -1,6 +1,6 @@
 #!/bin/bash
 # 
-# Run this from the build root
+# Run this from the build root (with sudo, I think)
 
 usage() {
     echo
@@ -20,6 +20,8 @@
     usage
 fi
 
+set -eu
+
 program=sonic-annotator
 depdir=deploy/linux
 
@@ -54,5 +56,5 @@
 
 bash "$depdir"/fix-lintian-bits.sh "$targetdir"
 
-sudo dpkg-deb --build "$targetdir" && lintian "$targetdir".deb
+dpkg-deb --build "$targetdir" && lintian "$targetdir".deb